--[[
	ImmersionRP for WoW:TBC tooltip modification constants.
	Purpose: Provide constants for the tooltip modifier to allow for customization.
	Author: Shannae (Original: Seagale)
	Last update: April 3rd, 2008.
	
	NOTES: You may change values to customize your tooltip.
		   
		   ImmersionRP's tooltip engine will ONLY change tooltips
		   for players, not NPCs, pets, etc.
		   
]]

-- Non-PvP flagged player name. PvP colors are handled by WoW.
IRP_TOOLTIP_NOPVPNAME_COLORR = 0.5;
IRP_TOOLTIP_NOPVPNAME_COLORG = 0.5;
IRP_TOOLTIP_NOPVPNAME_COLORB = 1;

-- Title line
IRP_TOOLTIP_TITLE_COLORR = 1;
IRP_TOOLTIP_TITLE_COLORG = 1;
IRP_TOOLTIP_TITLE_COLORB = 1;

-- Guild line
IRP_TOOLTIP_GUILD_COLORR = 1;
IRP_TOOLTIP_GUILD_COLORG = 1;
IRP_TOOLTIP_GUILD_COLORB = 1;

-- Rank line
IRP_TOOLTIP_RANK_COLORR = 1;
IRP_TOOLTIP_RANK_COLORG = 1;
IRP_TOOLTIP_RANK_COLORB = 1;

-- Level line
IRP_TOOLTIP_LEVEL_COLORR = 1;
IRP_TOOLTIP_LEVEL_COLORG = 1;
IRP_TOOLTIP_LEVEL_COLORB = 1;

-- RP style line
IRP_TOOLTIP_RPSTYLE_COLORR = 1;
IRP_TOOLTIP_RPSTYLE_COLORG = 1;
IRP_TOOLTIP_RPSTYLE_COLORB = 0.5;

-- RP status line
IRP_TOOLTIP_RPSTATUS_COLORR = 1;
IRP_TOOLTIP_RPSTATUS_COLORG = 1;
IRP_TOOLTIP_RPSTATUS_COLORB = 0.5;